List automation rules
curl --request GET \
--url https://api.fernhq.com/automation-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fernhq.com/automation-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fernhq.com/automation-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"automationRules": [
{
"id": "rule_ghi789",
"name": "Sweep when over 5000 USDC",
"customerId": "da1f853f-b083-40f3-b729-30c99826e4ed",
"transactionTemplate": {
"source": {
"sourcePaymentAccountId": "072a8b7b-38c7-429a-a6cf-35dae7f2fb77",
"sourcePaymentMethod": "ACH",
"sourceCurrency": {
"label": "USDC",
"chain": "ETHEREUM",
"contractAddress": "0x123456789abcd123456789abcd123456789abcd",
"currencyDecimals": 18
}
},
"destination": {
"destinationPaymentAccountId": "072a8b7b-38c7-429a-a6cf-35dae7f2fb77",
"destinationPaymentMethod": "ETHEREUM",
"destinationCurrency": {
"label": "USDC",
"chain": "ETHEREUM",
"contractAddress": "0x123456789abcd123456789abcd123456789abcd",
"currencyDecimals": 18
}
},
"amount": {
"value": "<string>"
},
"developerFee": {
"developerFeeAmount": "5.45"
}
},
"trigger": {
"cronSchedule": "* * * * *",
"thresholdAmount": "5000"
},
"createdAt": "2025-09-12T12:00:00Z"
}
]
}List automation rules
List all automation rules
GET
/
automation-rules
List automation rules
Authorizations
To authenticate server-side requests
Query Parameters
ID of the customer whose automation rules to list
Filter by source payment account ID
Response
200 - application/json
Response schema for listing automation rules
Response schema for listing automation rules
Retrieved automation rules
Show child attributes
Show child attributes
Was this page helpful?
⌘I